# $Revision: 1.38.2.3 $, $Date: 2003/10/21 12:26:28 $
Summary:	Translates char-sets and decodes MIME
Summary(pl):	Translator tablic znakw oraz dekoder MIME
Name:		2UTF
Version:	1.22
Release:	8
License:	BSD
Group:		Applications/Text
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/text/%{name}-%{version}.tar.gz
# Source0-md5:	883da4c858570d9d434d23e702304a5a
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-known_charsets_no_tcs.patch
URL:		http://x-lt.richard.eu.org/me/rch/ll.html
#URL:		http://www.angelfire.com/me/rch/ll.html#2UTF
Requires:	localedb-src
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc
%define		aliasdir	/var/lib/misc

%description
Filter for char-set translation to and from Unicode. Gets char-set
definitions from WG15 locales char-maps or similiar tables. Can decode
nested multi-part MIME messages and invoke external filters. Can
display char-maps and current console font.

%description -l pl
Translator tablic znakw do i z Unikodu. Pobiera definicje tablic
znakw z lokalnych WG15 tablic znakw lub podobnych. Moe zdekodowa
wiadomoci wieloczciowe MIME i uruchamia zewntrzne filtry. Moe
wywietla tablice znakw i aktualny font konsolowy.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
CCFLAGS="%{rpmcflags} -L/usr/lib/gconv"; export CCFLAGS
%{__make} config ICONV_DIR=%{_prefix}
LDFLAGS="%{rpmcflags} -L/usr/lib/gconv"; export LDFLAGS
%{__make} \
	GZIPDOCS=no \
	PREFIX=%{_prefix} \
	sysconfdir=%{_sysconfdir} \
	docsdir=%{_docdir}/%{name}-%{version} \
	var_prefix=/var \
	ALIASES=%{aliasdir}/2UTF.aliases \
	charmaps_localdatadir=%{_datadir}/i18n/charmaps \
	man1dir=%{_mandir}/man1 \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/i18n/charmaps
%{__make} GZIPDOCS=no \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	var_prefix=$RPM_BUILD_ROOT/var \
	ALIASES=$RPM_BUILD_ROOT%{aliasdir}/2UTF.aliases \
	docsdir=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} \
	charmaps_localdatadir=$RPM_BUILD_ROOT%{_datadir}/i18n/charmaps \
	TERMINFO=$RPM_BUILD_ROOT%{_datadir}/terminfo \
	man1dir=$RPM_BUILD_ROOT%{_mandir}/man1 \
	tmpdir_install=yes \
	owner=`id -ur` \
	group=`id -gr` \
	install

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{fromUTF.1,toUTF.1}
echo ".so 2UTF.1" > $RPM_BUILD_ROOT%{_mandir}/man1/toUTF.1
echo ".so 2UTF.1" > $RPM_BUILD_ROOT%{_mandir}/man1/fromUTF.1

ln -sf 2UTF $RPM_BUILD_ROOT%{_bindir}/toUTF

%post
if [ -f /var/lib/2UTF.aliases ]; then
	mv -f /var/lib/2UTF.aliases %{aliasdir}/2UTF.aliases
fi
%{_bindir}/2UTF --create-aliases

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc examples/* BSD_style_license TODO changelog copyright
%config %{_sysconfdir}/2UTF.config
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/terminfo/l/*
%attr(644,root,root) %ghost %{aliasdir}/2UTF.aliases

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: 2UTF.spec,v $
Revision 1.38.2.3  2003/10/21 12:26:28  ankry
- md5

Revision 1.38.2.2  2003/10/21 12:18:00  ankry
- R:localedb-src, rel. 8

Revision 1.38.2.1  2003/07/11 12:00:08  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.38  2002/11/06 15:36:03  ankry
- one more charset known to glibc
- rel. 7, STBR

Revision 1.37  2002/07/07 20:18:37  ankry
- tcs program is not in PLD; don't attempt to use it for glibc-known
  encoding (2UTF-known_charsets_no_tcs.patch)
- release 6, STBR

Revision 1.36  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.35  2002/04/25 15:40:10  arturs
fixed a small typo

Revision 1.34  2002/04/18 11:48:47  qboosh
- 2UTF.aliases moved from /var/lib to /var/lib/misc (FHS 2.2 compliant)
- release 5

Revision 1.33  2002/04/11 14:36:16  qboosh
- removed empty charmaps dir (present in localedb-src); release 4

Revision 1.32  2002/03/07 07:19:28  marcus
- fixed %files
- rel.3.

Revision 1.31  2002/02/22 23:28:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/18 08:22:05  marcus
- release 2

Revision 1.29  2002/01/18 02:12:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/12/07 22:47:27  blues
- added URL where I was redirected
STBR

Revision 1.27  2001/07/29 22:43:54  qboosh
- removed tar workaround (no longer necessary) and bashisms from %%build

Revision 1.26  2001/07/29 14:42:12  blues
- 1.22

Revision 1.25  2001/05/02 00:42:06  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.24  2001/03/14 17:39:59  qboosh
- workaround for tar problem
- adapterized, use rpm automation (man gzipping)
- release 4

Revision 1.23  2000/12/14 04:39:01  agaran
1.22 dont compile properly, (another beholder bug..trying to fix it)

Revision 1.19  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.18  2000/06/09 07:22:44  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.16  2000/04/25 16:16:47  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.15  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.13  2000/02/19 17:41:51  kloczek
- release 2,
- spec adapterized.

Revision 1.12  2000/02/19 15:03:36  baggins
- chmod -R u+w . in %prep

Revision 1.11  1999/11/29 21:21:53  wiget
- updated to 1.11

Revision 1.10  1999/11/08 19:46:37  kura
- fixed pl translations

Revision 1.9  1999/07/26 09:26:32  misiek
- added missing translations

Revision 1.8  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jul 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [1.10-1]
- FHS 2.0
- spec cleanup
